%define module_name Acme-Ford-Prefect
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Acme/Alien/DontPanic.pm) perl(Alien/Base/Wrapper.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/Alien/Diag.pm) perl(Test2/V0.pm) perl(XSLoader.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.7200
Release: alt2
Summary: Part of the test framework for Alien::Base
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/Acme::Ford::Prefect

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz

%description
the Alien::Base manpage comprises base classes to help in the construction of `Alien::' modules. Modules in the the Alien manpage namespace are used to locate and install (if necessary) external libraries needed by other Perl modules.

This module is a toy module to test the efficacy of the the Alien::Base manpage system. This module depends on another toy module the Acme::Alien::DontPanic manpage, which provides the needed the libdontpanic library to be able to tell us the `answer'.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 2.7200-alt2
- rebuild with perl 5.38

* Thu Oct 27 2022 Igor Vlasenko <viy@altlinux.org> 2.7200-alt1
- updated by package builder

* Wed Aug 31 2022 Igor Vlasenko <viy@altlinux.org> 2.6500-alt1
- updated by package builder

* Wed Aug 17 2022 Igor Vlasenko <viy@altlinux.org> 2.5900-alt1
- updated by package builder

* Sat Aug 13 2022 Igor Vlasenko <viy@altlinux.org> 2.5300-alt1
- updated by package builder

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 2.5100-alt1
- updated by package builder

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 2.2900-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 2.2900-alt2
- rebuild with perl 5.30

* Fri Aug 28 2020 Igor Vlasenko <viy@altlinux.ru> 2.2900-alt1
- updated by package builder

* Thu Mar 12 2020 Igor Vlasenko <viy@altlinux.ru> 2.1100-alt1
- updated by package builder

* Thu Feb 13 2020 Igor Vlasenko <viy@altlinux.ru> 2.0400-alt1
- updated by package builder

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 1.03-alt1.1
- rebuild with perl 5.28.1

* Thu May 17 2018 Igor Vlasenko <viy@altlinux.ru> 1.03-alt1
- regenerated from template by package builder

* Sun Jan 21 2018 Igor Vlasenko <viy@altlinux.ru> 0.044-alt1
- initial import by package builder

